
package de.ivu.elect.business.personenpruefung.control;

import javax.enterprise.event.Event;
import javax.inject.Inject;

import de.ivu.elect.business.system.entity.BackgroundServiceEvent;
import de.ivu.elect.business.system.entity.SystemLogQuelle;

public class PersonenPruefEvent implements BackgroundServiceEvent {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient Event<PersonenPruefEvent> event;

  public PersonenPruefEvent() {
    super();
  }

  @Override
  public SystemLogQuelle getServiceName() {
    return SystemLogQuelle.PERSONENPRUEFUNG;
  }

  public void sendStartEvent() {
    event.fire(new PersonenPruefEvent());
  }

  @Override
  public void sendEvent() {
    sendStartEvent();
  }
}
